import { FocusMonitor } from '@angular/cdk/a11y';
import { ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { ComponentSize } from '../types';
import { ButtonType } from './button.types';
export declare class ButtonComponent implements OnDestroy {
    private el;
    private renderer;
    private focusMonitor;
    type: ButtonType;
    size: ComponentSize;
    plain: boolean;
    loading: boolean;
    round: boolean;
    square: boolean;
    private _type;
    private _size;
    private _plain;
    private _loading;
    private _round;
    private _square;
    constructor(el: ElementRef, renderer: Renderer2, focusMonitor: FocusMonitor);
    ngOnDestroy(): void;
    private switchAssertClass;
}
