import { FocusMonitor } from '@angular/cdk/a11y';
import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { CommonForm } from '../form/public-api';
import { CheckboxGroupComponent } from './checkbox-group/checkbox-group.component';
export declare class CheckboxComponent extends CommonForm<boolean> implements OnInit, AfterViewInit, OnDestroy {
    private checkboxGroup;
    private focusMonitor;
    id: string;
    name: string;
    type: string;
    label: any;
    elRef: ElementRef;
    checked: boolean;
    private _label;
    private label$$;
    private destory$$;
    constructor(cdr: ChangeDetectorRef, checkboxGroup: CheckboxGroupComponent, focusMonitor: FocusMonitor);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(value: boolean): void;
    onClick(): void;
    onBlur(): void;
}
