import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { MonacoProviderService } from './monaco-provider.service';
/**
 * Colorize a section of code with Monaco Editor.
 */
export declare class CodeColorizeDirective implements OnInit, OnDestroy {
    private element;
    private monacoProvider;
    auiCodeColorize: string;
    auiCodeColorizeOptions: {
        theme: string;
    };
    private destroyed;
    constructor(element: ElementRef, monacoProvider: MonacoProviderService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private doColorize;
}
