import { ChangeDetectorRef, NgZone } from '@angular/core';
import { MonacoCommonEditorComponent } from './monaco-common-editor.component';
import { MonacoEditorConfig } from './monaco-editor-config';
import { MonacoProviderService } from './monaco-provider.service';
import { ResizeSensorService } from './resize-sensor.service';
/**
 * Wraps powerful Monaco Editor for simpilicity use in Angular.
 */
export declare class MonacoEditorComponent extends MonacoCommonEditorComponent {
    constructor(zone: NgZone, monacoEditorConfig: MonacoEditorConfig, monacoProvider: MonacoProviderService, cdr: ChangeDetectorRef, resizeSensor: ResizeSensorService);
    createEditor(): import('monaco-editor').editor.IStandaloneCodeEditor;
}
