import { ChangeDetectorRef } from '@angular/core';
import { Bem } from '../../utils/bem';
import { DialogRef } from '../dialog-ref';
import { ConfirmType } from '../dialog.types';
import { ConfirmDialogConfig } from './confirm-dialog-config';
export declare class ConfirmDialogComponent {
    private dialogRef;
    private cdr;
    bem: Bem;
    config: ConfirmDialogConfig;
    waitConfirm: boolean;
    waitCancel: boolean;
    constructor(dialogRef: DialogRef<any>, cdr: ChangeDetectorRef);
    setConfig(config: ConfirmDialogConfig): void;
    iconMap(type: ConfirmType): "check_circle_s" | "exclamation_triangle_s" | "exclamation_circle_s";
    confirm(): Promise<void>;
    cancel(): Promise<void>;
}
