import { ComponentType, OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { DialogComponent } from './dialog.component';
export declare class DialogRef<T = ComponentType<any>, R = any> {
    private overlayRef;
    dialogInstance: DialogComponent;
    componentInstance?: T;
    readonly id: string;
    private readonly afterOpen$;
    private readonly afterClosed$;
    constructor(overlayRef: OverlayRef, dialogInstance: DialogComponent);
    close(result?: R): void;
    afterOpen(): Observable<void>;
    afterClosed(): Observable<R>;
    updatePosition(): this;
    updateSize(): this;
    private getPositionStrategy;
}
