import { EventEmitter } from '@angular/core';
import { ButtonType } from '../../button/public-api';
import { ComponentSize } from '../../types';
import { Bem } from '../../utils/bem';
import { MenuComponent } from '../menu/menu.component';
export declare class DropdownButtonComponent {
    bem: Bem;
    type: ButtonType;
    plain: boolean;
    size: ComponentSize;
    loading: boolean;
    disabled: boolean;
    buttonClick: EventEmitter<Event>;
    menu: MenuComponent;
    readonly disableTrigger: boolean;
    private _disabled;
}
