import { Overlay } from '@angular/cdk/overlay';
import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import { BaseTooltip, TooltipTrigger, TooltipType } from '../tooltip/public-api';
import { MenuComponent } from './menu/menu.component';
export declare class DropdownDirective extends BaseTooltip implements OnInit {
    menu: MenuComponent;
    lazyContentContext: any;
    position: string;
    class: string;
    trigger: TooltipTrigger;
    disabled: boolean;
    hideOnClick: boolean;
    show: EventEmitter<void>;
    hide: EventEmitter<void>;
    readonly type: TooltipType;
    private _menu;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, elRef: ElementRef, renderer: Renderer2, cdr: ChangeDetectorRef, ngZone: NgZone);
    ngOnInit(): void;
}
