import { QueryList } from '@angular/core';
import { Bem } from '../utils/bem';
import { ControlPrefixDirective, ControlSuffixDirective, ErrorHintDirective, HintDirective } from './helper-directives';
export declare class FormFieldComponent {
    bem: Bem;
    label: string;
    required: boolean;
    size: 'min' | 'full';
    error: boolean;
    readonly classname: string;
    prefixs: QueryList<ControlPrefixDirective>;
    suffixs: QueryList<ControlSuffixDirective>;
    hints: QueryList<HintDirective>;
    errorHint: ErrorHintDirective;
}
