import { HttpClient } from '@angular/common/http';
import { Optional } from '@angular/core';
export declare class IconRegistryService {
    private httpClient;
    private defaultIconPrefix;
    private doc;
    constructor(document: any, httpClient: HttpClient);
    getDefaultIconPrefix(): string;
    replaceDefaultIconPrefix(prefix: string): void;
    registrySvgSymbolsByUrl(url: string): void;
    registrySvgSymbolsByString(str: string): void;
    private appendSvg;
}
export declare function ICON_REGISTRY_PROVIDER_FACTORY(parentRegistry: IconRegistryService, document: Document, httpClient: HttpClient): IconRegistryService;
export declare const ICON_REGISTRY_SERVICE_PROVIDER: {
    provide: typeof IconRegistryService;
    deps: Optional[][];
    useFactory: typeof ICON_REGISTRY_PROVIDER_FACTORY;
};
