import { ElementRef, Renderer2 } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ComponentSize } from '../types';
export declare class InputComponent {
    elementRef: ElementRef;
    private renderer;
    size: ComponentSize;
    disabled: any;
    private _size;
    private _disabled;
    size$: BehaviorSubject<ComponentSize>;
    disabled$: BehaviorSubject<boolean>;
    constructor(elementRef: ElementRef, renderer: Renderer2);
}
