import { EventEmitter } from '@angular/core';
import { ComponentSize } from '../../types';
import { Bem } from '../../utils/bem';
export declare class SearchComponent {
    bem: Bem;
    size: ComponentSize;
    searchButton: boolean;
    clearable: boolean;
    searching: boolean;
    placeholder: string;
    disabled: boolean;
    debounce: number;
    keyword: string;
    keywordChange: EventEmitter<string>;
    search: EventEmitter<string>;
    clear: EventEmitter<void>;
    value: string;
    private _debounce;
    private debouncedEmitKeyword;
    readonly showSpinner: boolean;
    readonly showClear: boolean;
    emitChange(value: string): void;
    emitSearch(): void;
    emitClear(): void;
}
