import { ChangeDetectorRef } from '@angular/core';
import { Observable } from 'rxjs';
import { CommonForm } from '../../form/public-api';
import { RadioSize } from '../radio.types';
export declare class RadioGroupComponent extends CommonForm<any> {
    private size$$;
    private isPlain$$;
    private name$$;
    size: RadioSize;
    isPlain: boolean;
    name: string;
    size$: Observable<RadioSize>;
    isPlain$: Observable<boolean>;
    name$: Observable<string>;
    constructor(cdr: ChangeDetectorRef);
    writeValue(value: any): void;
    onRadioChange(value: any): Promise<void>;
    onRadioBlur(): void;
}
