import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { ComponentSize } from '../../types';
import { Bem } from '../../utils/bem';
import { BaseSelect } from '../base-select';
export declare class OptionComponent {
    private cdr;
    private select;
    bem: Bem;
    private _disabled;
    private _label;
    private _value;
    private label$$;
    private value$$;
    label: string;
    value: any;
    disabled: any;
    elRef: ElementRef;
    selected: boolean;
    visable: boolean;
    size: ComponentSize;
    focused: boolean;
    value$: Observable<any>;
    label$: Observable<string>;
    size$: Observable<ComponentSize>;
    selected$: Observable<boolean>;
    visable$: Observable<boolean>;
    constructor(cdr: ChangeDetectorRef, select: BaseSelect<any | any[]>);
    onClick(): void;
    focus(): void;
    blur(): void;
}
