import { AfterContentInit } from '@angular/core';
import { AbstractControl, ValidationErrors, Validator, ValidatorFn } from '@angular/forms';
import { SelectComponent } from './select.component';
import { TrackFn } from './select.types';
export declare class AuiSelectValidators {
    static includes(options: any[], trackFn?: TrackFn): ValidatorFn;
}
export declare class IncludesDirective implements Validator, AfterContentInit {
    private selectRef;
    includes: any;
    trackFn: TrackFn;
    private _includes;
    onValidatorChange: () => void;
    constructor(selectRef: SelectComponent);
    ngAfterContentInit(): void;
    registerOnValidatorChange(fn: () => void): void;
    validate(controll: AbstractControl): ValidationErrors;
}
