import { CdkColumnDef } from '@angular/cdk/table';
import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Bem } from '../utils/bem';
import { SortDirective } from './sort.directive';
import { ArrowViewState, Sortable, SortDirection } from './sort.types';
export declare class SortHeaderComponent implements Sortable, OnInit, OnDestroy {
    _sort: SortDirective;
    _cdkColumnRef: CdkColumnDef;
    private _rerenderSubscription;
    _viewState: ArrowViewState;
    arrowDirection: SortDirection;
    id: string;
    start: 'asc' | 'desc';
    bem: Bem;
    constructor(cdr: ChangeDetectorRef, _sort: SortDirective, _cdkColumnRef: CdkColumnDef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    _handleClick(): void;
    _isSorted(): boolean;
    _updateArrowDirection(): void;
}
