import { EventEmitter, OnChanges, OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
import { Sort, Sortable, SortDirection } from './sort.types';
export declare class SortDirective implements OnChanges, OnDestroy {
    sortables: Map<string, Sortable>;
    readonly _stateChanges: Subject<void>;
    active: string;
    start: 'asc' | 'desc';
    direction: SortDirection;
    private _direction;
    readonly sortChange: EventEmitter<Sort>;
    register(sortable: Sortable): void;
    deregister(sortable: Sortable): void;
    sort(sortable: Sortable): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
