import { AfterContentInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { TocContentDirective } from './toc-content.directive';
export declare class TocContainerDirective implements AfterContentInit, OnDestroy {
    private cdr;
    activedChange: EventEmitter<string>;
    private _contents;
    private _scrollTop$;
    private _scrollTo$;
    private _onDestroy$;
    private _subs;
    private _nativeElement;
    scrollTop: number;
    readonly isScrollEnd: boolean;
    constructor(elementRef: ElementRef, cdr: ChangeDetectorRef);
    getOffsetTop(element: HTMLElement): number;
    private getMinContent;
    private getMaxContent;
    onScroll(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    scrollTo(content: string): void;
    registerContent(tocContent: TocContentDirective): void;
    deregisterContent(tocContent: TocContentDirective): void;
}
