import { CdkRowDef } from '@angular/cdk/table';
/**
 * Data row definition for the aui-table.
 * Captures the header row's template and other row properties such as the columns to display and
 * a when predicate that describes when this row should be used.
 */
export declare class TableRowDefDirective<T> extends CdkRowDef<T> {
    columns: string[];
    when: (index: number, rowData: T) => boolean;
}
