import { AfterViewInit, EventEmitter, OnInit, ViewContainerRef } from '@angular/core';
import { Bem } from '../../utils/bem';
import { ToastType } from '../toast.types';
export declare class MessageContainerComponent implements OnInit, AfterViewInit {
    private viewContainerRef;
    animate: string;
    timerId: any;
    remains: number;
    bem: Bem;
    type: ToastType;
    content: string;
    duration: number;
    beforeClosed: EventEmitter<void>;
    afterClosed: EventEmitter<void>;
    readonly iconType: string;
    constructor(viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    clear(): void;
    onAnimationEnd(e: any): void;
}
