import { HorizontalConnectionPos, OriginConnectionPosition, OverlayConnectionPosition, VerticalConnectionPos } from '@angular/cdk/overlay';
export declare function getOriginPosition(position: string): {
    main: OriginConnectionPosition;
    fallback: OriginConnectionPosition;
};
export declare function getOverlayPosition(position: string): {
    main: OverlayConnectionPosition;
    fallback: OverlayConnectionPosition;
};
export declare function invertHorizontal(dir: HorizontalConnectionPos): HorizontalConnectionPos;
export declare function invertVertical(dir: VerticalConnectionPos): VerticalConnectionPos;
export declare function invertPosition(x: HorizontalConnectionPos, y: VerticalConnectionPos): {
    x: HorizontalConnectionPos;
    y: VerticalConnectionPos;
};
