import { AfterContentInit, ChangeDetectorRef, ElementRef, QueryList, TemplateRef } from '@angular/core';
import { Observable, ReplaySubject } from 'rxjs';
import { AutocompletePlaceholderComponent } from './autocomplete-placeholder.component';
import { AutoCompleteDirective } from './autocomplete.directive';
import { SuggestionComponent } from './suggestion/suggestion.component';
export declare class AutocompleteComponent implements AfterContentInit {
    private cdr;
    suggestions: QueryList<SuggestionComponent>;
    placeholder: QueryList<AutocompletePlaceholderComponent>;
    template: TemplateRef<any>;
    suggestionListRef: ElementRef;
    hasVisableSuggestion$: Observable<boolean>;
    hasContent$: Observable<boolean>;
    directive$$: ReplaySubject<AutoCompleteDirective>;
    constructor(cdr: ChangeDetectorRef);
    ngAfterContentInit(): void;
}
