import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { Bem } from '../../utils/bem';
import { AutocompleteComponent } from '../autocomplete.component';
export declare class SuggestionComponent {
    private cdr;
    private autocomplete;
    bem: Bem;
    private _disabled;
    private _value;
    private value$$;
    value: string;
    disabled: any;
    elRef: ElementRef;
    selected: boolean;
    visable: boolean;
    focused: boolean;
    selected$: Observable<boolean>;
    visable$: Observable<boolean>;
    constructor(cdr: ChangeDetectorRef, autocomplete: AutocompleteComponent);
    onClick(): void;
    focus(): void;
    blur(): void;
}
