import { Optional } from '@angular/core';
/**
 * Texts to render on the code editor.
 */
export declare class CodeEditorIntl {
    copyLabel: string;
    copiedLabel: string;
    readonlyLabel: string;
    readwriteLabel: string;
    clearLabel: string;
    recoverLabel: string;
    findLabel: string;
    formatLabel: string;
    foldLabel: string;
    exportLabel: string;
    importLabel: string;
    lightThemeLabel: string;
    darkThemeLabel: string;
    showDiffLabel: string;
    fullscreenLabel: string;
    exitFullscreenLabel: string;
    getLanguageLabel(lang: string): string;
}
export declare function CODE_EDITOR_INTL_PROVIDER_FACTORY(parentIntl: CodeEditorIntl): CodeEditorIntl;
/** @docs-private */
export declare const CODE_EDITOR_INTL_INTL_PROVIDER: {
    provide: typeof CodeEditorIntl;
    deps: Optional[][];
    useFactory: typeof CODE_EDITOR_INTL_PROVIDER_FACTORY;
};
