import { CdkPortalOutlet, ComponentPortal, TemplatePortal } from '@angular/cdk/portal';
import { ComponentRef, ElementRef, EmbeddedViewRef } from '@angular/core';
import { Bem } from '../utils/bem';
import { DialogConfig } from './dialog-config';
export declare class DialogComponent {
    private elementRef;
    portalOutlet: CdkPortalOutlet;
    bem: Bem;
    config: DialogConfig;
    hidden: boolean;
    id: string;
    private _id;
    readonly rootClass: string;
    readonly customStyle: {
        display: string;
    } | {
        display?: undefined;
    };
    constructor(elementRef: ElementRef);
    attachComponentPortal<T>(portal: ComponentPortal<T>): ComponentRef<T>;
    attachTemplatePortal<T>(portal: TemplatePortal<T>): EmbeddedViewRef<T>;
    private blurActiveElement;
}
