import { ApplicationRef, ComponentFactoryResolver, Injector, OnDestroy, TemplateRef, ViewContainerRef } from '@angular/core';
export declare class MenuContentDirective implements OnDestroy {
    private templateRef;
    private appRef;
    private viewContainerRef;
    private componentFactoryResolver;
    private injector;
    private document;
    private portal;
    private outlet;
    constructor(templateRef: TemplateRef<any>, appRef: ApplicationRef, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, injector: Injector, document: any);
    attach(context: any): void;
    detach(): void;
    ngOnDestroy(): void;
}
