import { QueryList, TemplateRef } from '@angular/core';
import { ComponentSize } from '../../types';
import { Bem } from '../../utils/bem';
import { MenuItemComponent } from '../menu-item/menu-item.component';
import { MenuContentDirective } from './menu-content.directive';
export declare class MenuComponent {
    bem: Bem;
    size: ComponentSize;
    template: TemplateRef<any>;
    lazyContent: MenuContentDirective;
    menuItems: QueryList<MenuItemComponent>;
    readonly hasEnabledItem: boolean;
}
