import { Bem } from '../utils/bem';
import { IconRegistryService } from './icon-registry.service';
export declare class IconComponent {
    private iconRegistryServcie;
    icon: string;
    link: string;
    margin: 'left' | 'right';
    size: string;
    color: string;
    bem: Bem;
    constructor(iconRegistryServcie: IconRegistryService);
    private parseIcon;
    getWidth(): string | false;
    getHeight(): string | false;
    getIconId(): string;
    getClass(): string;
}
