import { EventEmitter } from '@angular/core';
import { Bem } from '../utils/bem';
import { InlineAlertTitleDirective } from './helper-directives';
import { InlineAlertType } from './inline-alert.types';
export declare class InlineAlertComponent {
    bem: Bem;
    title: string;
    content: string;
    closable: boolean;
    type: InlineAlertType;
    close: EventEmitter<void>;
    titleRef: InlineAlertTitleDirective;
    visible: boolean;
    readonly iconKey: string;
    closeSelf(): void;
}
