import { AfterViewInit, ElementRef } from '@angular/core';
/**
 * Directive to automatically resize a textarea to fit its content.
 */
export declare class AutosizeDirective implements AfterViewInit {
    protected elementRef: ElementRef<HTMLTextAreaElement>;
    private _autoSize;
    private textareaCalcStyle;
    onTextareaInput(): void;
    autoSize: {
        minRows: number;
        maxRows?: number;
    };
    constructor(elementRef: ElementRef<HTMLTextAreaElement>);
    resizeTextarea(): void;
    ngAfterViewInit(): void;
}
