import { AfterViewInit, ChangeDetectorRef, OnInit, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { MessageType } from './message.config';
export declare class MessageComponent implements OnInit, AfterViewInit {
    protected viewContainerRef: ViewContainerRef;
    protected cdr: ChangeDetectorRef;
    animate: string;
    timerId: any;
    remains: number;
    uniqueId: string;
    id: string;
    type: MessageType;
    content: string;
    duration: number;
    beforeClosed: Subject<void>;
    afterClosed: Subject<void>;
    readonly iconType: string;
    constructor(viewContainerRef: ViewContainerRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    clear(): void;
    onAnimationEnd(e: any): void;
}
