import { Overlay } from '@angular/cdk/overlay';
import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector } from '@angular/core';
import { MessageBaseService } from './message-base.service';
import { MessageWrapperComponent } from './message-wrapper.component';
import { MessageComponent } from './message.component';
import { MessageConfig } from './message.config';
export declare class MessageService extends MessageBaseService<MessageWrapperComponent, MessageComponent, MessageConfig> {
    constructor(overlay: Overlay, injector: Injector, applicationRef: ApplicationRef, cfr: ComponentFactoryResolver);
    success(messageOptions: MessageConfig | string): ComponentRef<MessageComponent>;
    error(messageOptions: MessageConfig | string): ComponentRef<MessageComponent>;
    warning(messageOptions: MessageConfig | string): ComponentRef<MessageComponent>;
    info(messageOptions: MessageConfig | string): ComponentRef<MessageComponent>;
}
