import { Overlay } from '@angular/cdk/overlay';
import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector } from '@angular/core';
import { MessageBaseService } from '../message/message-base.service';
import { NotificationWrapperComponent } from './notification-wrapper.component';
import { NotificationComponent } from './notification.component';
import { NotificationConfig } from './notification.config';
export declare class NotificationService extends MessageBaseService<NotificationWrapperComponent, NotificationComponent, NotificationConfig> {
    constructor(overlay: Overlay, injector: Injector, applicationRef: ApplicationRef, cfr: ComponentFactoryResolver);
    protected createMessage(notificationConfig: NotificationConfig): ComponentRef<NotificationComponent>;
    success(messageOptions: NotificationConfig | string): ComponentRef<NotificationComponent>;
    error(messageOptions: NotificationConfig | string): ComponentRef<NotificationComponent>;
    info(messageOptions: NotificationConfig | string): ComponentRef<NotificationComponent>;
    warning(messageOptions: NotificationConfig | string): ComponentRef<NotificationComponent>;
}
