import { FocusMonitor } from '@angular/cdk/a11y';
import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { Bem } from '../utils/bem';
import { RadioGroupComponent } from './radio-group/radio-group.component';
export declare class RadioComponent implements OnInit, AfterViewInit, OnDestroy {
    protected cdr: ChangeDetectorRef;
    protected radioGroup: RadioGroupComponent;
    protected focusMonitor: FocusMonitor;
    id: string;
    bem: Bem;
    disabled: boolean;
    value: any;
    elRef: ElementRef;
    checked: boolean;
    name: string;
    private _value;
    private value$$;
    protected destory$$: Subject<void>;
    readonly rootClass: string;
    constructor(cdr: ChangeDetectorRef, radioGroup: RadioGroupComponent, focusMonitor: FocusMonitor);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    onBlur(): void;
}
