import { AfterContentInit, ChangeDetectorRef } from '@angular/core';
import { Observable } from 'rxjs';
import { InputComponent } from '../input/public-api';
import { BaseSelect } from './base-select';
import { OptionComponent } from './option/option.component';
export declare class SelectComponent extends BaseSelect<any> implements AfterContentInit {
    inputRef: InputComponent;
    displayText: string;
    values$: Observable<any[]>;
    readonly rootClass: string;
    constructor(cdr: ChangeDetectorRef);
    ngAfterContentInit(): void;
    onShowOptions(): void;
    getPlaceholder(): string;
    getInputValue(): string;
    displayClearable(): string;
    writeValue(val: any): void;
    selectOption(option: OptionComponent): void;
    clearValue(event: Event): void;
    updateSelectDisplay(value: any): void;
}
