import { ChangeDetectorRef } from '@angular/core';
import { CommonForm } from '../form/public-api';
import { Bem } from '../utils/bem';
export declare class SwitchComponent extends CommonForm<boolean> {
    bem: Bem;
    checked: boolean;
    loading: boolean;
    beforeSwitch: (reslove: () => void, reject: () => void) => void;
    constructor(cdr: ChangeDetectorRef);
    readonly classesMap: string;
    writeValue(value: boolean): void;
    onSwitch(): Promise<void>;
    onBlur(): void;
    private switch;
}
