import { PortalHostDirective, TemplatePortal } from '@angular/cdk/portal';
import { OnDestroy } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
export declare class TabBodyComponent implements OnDestroy {
    private _content;
    content$: BehaviorSubject<TemplatePortal<any>>;
    /** The portal host inside of this container into which the tab body content will be loaded. */
    _portalHost: PortalHostDirective;
    /** The tab body content to display. */
    content: TemplatePortal;
    ngOnDestroy(): void;
}
