import { ElementRef, NgZone } from '@angular/core';
import { Bem } from '../utils/bem';
import { TabType } from './tabs.types';
export declare class TabHeaderActiveIndicatorComponent {
    private _elementRef;
    private _ngZone;
    type: TabType;
    bem: Bem;
    constructor(_elementRef: ElementRef, _ngZone: NgZone);
    /**
     * Calculates the styles from the provided element in order to align the indicator to that element.
     * Shows the indicator if previously set as hidden.
     * @param element
     */
    alignToElement(element: HTMLElement): void;
    /**
     * Sets the proper styles to the element.
     * @param element
     */
    private _setStyles;
    private _getElementPosition;
}
