import { EventEmitter } from '@angular/core';
import { ComponentSize } from '../types';
import { Bem } from '../utils/bem';
import { TagType } from './tag.types';
export declare class TagComponent {
    bem: Bem;
    type: TagType;
    size: ComponentSize;
    closeable: boolean;
    solid: boolean;
    invalid: boolean;
    round: boolean;
    color: string;
    close: EventEmitter<void>;
    readonly rootClass: string;
    readonly customStyle: {
        color: string;
        'border-color': string;
        'background-color': string;
    };
}
