import { Overlay } from '@angular/cdk/overlay';
import { ChangeDetectorRef, ElementRef, NgZone, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import { BaseTooltip } from './base-tooltip';
import { TooltipCopyIntl } from './tooltip-intl';
export declare class TooltipCopyDirective extends BaseTooltip implements OnInit {
    private toolTipIntl;
    auiTooltipCopy: string;
    auiTooltipCopyTip: string;
    auiTooltipCopySuccessTip: string;
    auiTooltipCopyFailTip: string;
    position: string;
    disabled: boolean;
    private _copyText;
    private _copyTip;
    private _copySuccessTip;
    private _copyFailTip;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, elRef: ElementRef, renderer: Renderer2, cdr: ChangeDetectorRef, ngZone: NgZone, toolTipIntl: TooltipCopyIntl);
    ngOnInit(): void;
    onSourceClick(): void;
}
