import { Overlay } from '@angular/cdk/overlay';
import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { BaseTooltip } from './base-tooltip';
import { TooltipTrigger, TooltipType } from './tooltip.types';
export declare class TooltipDirective extends BaseTooltip {
    content: string | TemplateRef<any>;
    context: any;
    class: string;
    type: TooltipType;
    position: string;
    trigger: TooltipTrigger;
    disabled: boolean;
    hideOnClick: boolean;
    show: EventEmitter<void>;
    hide: EventEmitter<void>;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, elRef: ElementRef, renderer: Renderer2, cdr: ChangeDetectorRef, ngZone: NgZone);
}
