export declare class Bem {
    private namespace;
    constructor(namespace: string);
    block(...modifiers: Array<{
        [name: string]: boolean;
    } | string>): string;
    modifier(name: string): string;
    element(name: string, ...modifiers: Array<{
        [name: string]: boolean;
    } | string>): string;
}
export declare function buildBem(namespace: string): Bem;
